
clear
set mem 150m
#delimit ;
log using "/Documents/climate/conflict/data_for_distribution/climate_conflict.log", replace;
use "/Documents/climate/conflict/data_for_distribution/climate_conflict.dta", clear;


/*table 1 */
regress war_prio_new temp_all temp_all_lag iccode* Iccyear*, robust cluster(ccode);
regress war_prio_new temp_all temp_all_lag  prec_all prec_all_lag iccode* Iccyear*, robust cluster(ccode);
regress war_prio_new temp_all temp_all_lag prec_all prec_all_lag iccode* gdp_l polity2_lag year, robust cluster(ccode);


/*table S1 - precip and temp alone, versus together */
regress war_prio_new temp_all iccode* Iccyear*, robust cluster(ccode);
regress war_prio_new temp_all_lag iccode* Iccyear*, robust cluster(ccode);
regress war_prio_new temp_all temp_all_lag iccode* Iccyear*, robust cluster(ccode);
regress war_prio_new prec_all iccode* Iccyear*, robust cluster(ccode);
regress war_prio_new prec_all_lag iccode* Iccyear*, robust cluster(ccode);
regress war_prio_new prec_all prec_all_lag iccode* Iccyear*, robust cluster(ccode);
regress war_prio_new temp_all temp_all_lag prec_all prec_all_lag iccode* Iccyear*, robust cluster(ccode);
regress war_prio_new prec_all;
predict precip_resid, resid;
regress precip_resid temp_all temp_all_lag iccode* Iccyear*, robust cluster(ccode);


/*table S2 - different transformations using CRU */
regress war_prio_new temp_all temp_all_lag prec_all prec_all_lag iccode* Iccyear*, robust cluster(ccode);
regress war_prio_new temp_all temp_all_lag prec_all prec_all_lag iccode* year, robust cluster(ccode);
regress war_prio_new temp_all_dif temp_all_diflag prec_all_dif prec_all_diflag iccode* Iccyear*, robust cluster(ccode);
regress war_prio_new temp_all_dif temp_all_diflag prec_all_dif prec_all_diflag iccode* year, robust cluster(ccode);
regress war_prio_new cru_temp_diftrend cru_temp_diftrend_lag cru_prec_diftrend cru_prec_diftrend_lag iccode* Iccyear*, robust cluster(ccode);
regress war_prio_new cru_temp_diftrend cru_temp_diftrend_lag cru_prec_diftrend cru_prec_diftrend_lag iccode* year, robust cluster(ccode);


/*table S3 - different climate products */
regress war_prio_new temp_all temp_all_lag gpcp gpcp_l iccode* Iccyear*, robust cluster(ccode);
regress war_prio_new temp_all_dif temp_all_diflag gpcp_d gpcp_d_l iccode* Iccyear*, robust cluster(ccode);
regress war_prio_new ncc_tavg ncc_tavg_lag ncc_prec ncc_prec_lag iccode* Iccyear*, robust cluster(ccode);


/*table S4 - onset as dependent variables */
regress war_onset_new temp_all temp_all_lag iccode* Iccyear*, robust cluster(ccode);
regress war_onset_new temp_all temp_all_lag prec_all prec_all_lag iccode* Iccyear*, robust cluster(ccode);
regress war_onset_new temp_all_dif temp_all_diflag iccode* Iccyear*, robust cluster(ccode);
regress war_onset_new temp_all_dif temp_all_diflag prec_all_dif prec_all_diflag iccode* Iccyear*, robust cluster(ccode);


/*table S5 - leads and lags of climate variables */
for var *_all: gen X_lead=X[_n+1];
regress war_prio_new temp_all temp_all_lag temp_all_lead iccode* Iccyear*, robust cluster(ccode);
regress war_prio_new temp_all temp_all_lag temp_all_lead prec_all prec_all_lag prec_all_lead iccode* Iccyear*, robust cluster(ccode);


/* table S6 on income and regime controls */
regress war_prio_new temp_all temp_all_lag iccode* Iccyear*, robust cluster(ccode);
regress war_prio_new temp_all temp_all_lag gdp_l iccode* year, robust cluster(ccode);
regress war_prio_new temp_all temp_all_lag polity2_lag iccode* year, robust cluster(ccode);
regress war_prio_new temp_all temp_all_lag gdp_l polity2_lag iccode* year, robust cluster(ccode);
regress war_prio_new temp_all temp_all_lag prec_all prec_all_lag gdp_l polity2_lag iccode* year, robust cluster(ccode);


/*table S7 - crop weighting vs unweighted */
regress war_prio_new temp_all temp_all_lag prec_all prec_all_lag iccode* Iccyear*, robust cluster(ccode);
regress war_prio_new temp_seas_crop temp_seas_crop_lag prec_seas_crop prec_seas_crop_lag iccode* Iccyear*, robust cluster(ccode);
regress war_prio_new temp_seas_maize temp_seas_maize_lag prec_seas_maize prec_seas_maize_lag iccode* Iccyear*, robust cluster(ccode);
regress war_prio_new temp_all_dif temp_all_diflag prec_all_dif prec_all_diflag iccode* Iccyear*, robust cluster(ccode);
regress war_prio_new temp_seas_crop_dif temp_seas_crop_diflag prec_seas_crop_dif prec_seas_crop_diflag iccode* Iccyear*, robust cluster(ccode);
regress war_prio_new temp_seas_maize_dif temp_seas_maize_diflag prec_seas_maize_dif prec_seas_maize_diflag iccode* Iccyear*, robust cluster(ccode);


/* table S8 on quadratic terms */
gen temp_all2=temp_all*temp_all;
gen temp_all_lag2=temp_all_lag*temp_all_lag;
gen prec_all2=prec_all*prec_all;
gen prec_all_lag2 = prec_all_lag*prec_all_lag;
regress war_prio_new temp_all temp_all_lag iccode* Iccyear*, robust cluster(ccode);
regress war_prio_new temp_all temp_all2 temp_all_lag temp_all_lag2 iccode* Iccyear*, robust cluster(ccode);
regress war_prio_new temp_all temp_all2 iccode* Iccyear*, robust cluster(ccode);
regress war_prio_new temp_all temp_all2 temp_all_lag temp_all_lag2 prec_all prec_all2 prec_all_lag prec_all_lag2 iccode* Iccyear*, robust cluster(ccode);

log c;
